This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 795757 - Garbage printed at the bottom of the terminal
Garbage printed at the bottom of the terminal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: offlineimap (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Höger
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-21 08:19 EST by David Kovalsky
Modified: 2014-03-31 19:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:45:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Konsole garbage screenshot (126.96 KB, image/png)
2012-02-21 08:19 EST, David Kovalsky
no flags Details
Gnome terminal garbage screenshot (139.95 KB, image/png)
2012-02-22 14:34 EST, David Kovalsky
no flags Details

  None (edit)
Description David Kovalsky 2012-02-21 08:19:00 EST
Created attachment 564672 [details]
Konsole garbage screenshot

ui = BlinkenLights 
maxconnections=2 for both sides of IMAP <--> IMAP sync

After update to the most recent updates-testing (offlineimap-6.5.2.1-1.fc16.noarch) there's garbage randomly printed at the bottom of the page. 

I'm attaching a screenshot. The red lines (aka The Garbage) at the bottom of the page are constant while the cyan lines (logs) move.
Comment 1 Christoph Höger 2012-02-22 11:26:15 EST
I could not reproduce this issue. Could this be related to your terminal emulator?
Could you try gnome-terminal (from your screenshot it looks like you are using something different)?
Comment 2 David Kovalsky 2012-02-22 13:13:12 EST
It doesn't seem to be happening in gnome-terminal (size 80x23), but is happening in konsole (size 95x33). I'll keep running in gnome-terminal if the issue pops up there too. 

Though I can reproduce this 100%, it doesn't always happen fast. I suggest testing on a server with a slow connection which tends to drop from time to time (Zimbra rulez) and with many folders (I have about 50). 

Perhaps it's related to one of the threads timing out?
Comment 3 David Kovalsky 2012-02-22 14:34:23 EST
Created attachment 565079 [details]
Gnome terminal garbage screenshot

Took about one hour and now I have garbage also in gnome-terminal (see attached screenshot).
Comment 4 David Kovalsky 2012-02-23 10:20:28 EST
It seems like writes to the terminal are not synchronized. I see strings like "RReeddHHaatItmIamappRLocemaolte:" which leads me to believe that 2 threads are outputting the same string at the same time (RedHatImapRemote / RedHatImapLocal). 

And the garbage is a side effect of on thread printing control characters (colors) when another thread starts to output it's own text.

If helpful, my full config file is in bug 795753 comment #2.
Comment 5 J.H.M. Dassen (Ray) 2012-03-28 05:26:17 EDT
I'm experiencing similar problems with ui = BlinkenLights. I'm running in gnome-terminal with maxconnections=1. Aside from the garbage, on a typical day, the terminal window ends up being enlarged vertically.
Comment 6 Christoph Höger 2012-03-29 02:57:36 EDT
The current problem with offlineimap is that the maintainer remains silent for about 4 weeks. That is why I am not going to push 6.5 to stable since the simpler fixes are not pulled yet. Once the development takes up some speed again, I will try to push this issue.
Comment 7 Fedora End Of Life 2013-01-16 19:55:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 David Kovalsky 2013-01-17 05:01:26 EST
Still happens on F17 with the latest updates

offlineimap-6.5.2.1-1.fc17.noarch
Comment 9 Fedora End Of Life 2013-07-04 02:40:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 David Kovalsky 2013-07-08 03:39:35 EDT
Still happens on F17 with the latest updates (update release to reflect)

offlineimap-6.5.2.1-2.fc18.noarch
Comment 11 Fedora End Of Life 2013-12-21 10:00:32 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:45:01 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.